Skip to main content
PATCH
/
v2
/
workflows
/
{workflow}
/
instances
/
{instance}
/
analysisResults
/
{analysisResult}
Update AnalysisResult
curl --request PATCH \
  --url https://stats.eu.confidence.dev/v2/workflows/{workflow}/instances/{instance}/analysisResults/{analysisResult} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "analysisResult": {
    "createTime": {},
    "updateTime": {},
    "creator": "<string>",
    "updater": "<string>",
    "name": "<string>",
    "exposureFilter": "<string>",
    "annotations": [
      {
        "context": [
          {
            "key": "STATS_ANNOTATION_CONTEXT_UNSPECIFIED",
            "value": "<string>"
          }
        ],
        "info": "<string>",
        "warning": "<string>",
        "error": {
          "details": "<string>",
          "category": "STATS_ANNOTATION_ERROR_CATEGORY_UNSPECIFIED"
        }
      }
    ],
    "results": [
      {
        "id": "<string>",
        "statsSettings": {
          "method": "METHOD_UNSPECIFIED",
          "adjustedAlpha": 123,
          "adjustedBeta": {
            "value": 123
          },
          "hasVarianceReduction": true
        },
        "result": [
          {
            "status": {
              "status": "METRIC_RESULT_STATUS_UNSPECIFIED",
              "message": "<string>",
              "metricType": "METRIC_TYPE_UNSPECIFIED",
              "decisionPowered": {
                "value": true
              },
              "decisionIsSignificant": {
                "value": true
              },
              "validationIsSignificant": {
                "value": true
              }
            },
            "groups": {
              "baseline": "<string>",
              "compared": "<string>"
            },
            "result": [
              {
                "resultTime": "<string>",
                "baselineEstimateAbs": {
                  "value": 123
                },
                "comparedEstimateAbs": {
                  "value": 123
                },
                "baselineEstimateRel": {
                  "value": 123
                },
                "comparedEstimateRel": {
                  "value": 123
                },
                "differenceEstimateAbs": {
                  "estimate": {
                    "value": 123
                  },
                  "lower": {
                    "value": 123
                  },
                  "upper": {
                    "value": 123
                  },
                  "powered": {
                    "value": 123
                  },
                  "isSignificant": {
                    "value": true
                  }
                },
                "differenceEstimateRel": {
                  "estimate": {
                    "value": 123
                  },
                  "lower": {
                    "value": 123
                  },
                  "upper": {
                    "value": 123
                  },
                  "powered": {
                    "value": 123
                  },
                  "isSignificant": {
                    "value": true
                  }
                },
                "varianceReductionRate": {
                  "value": 123
                },
                "unadjustedEstimateBaseline": {
                  "value": 123
                },
                "unadjustedEstimateCompared": {
                  "value": 123
                },
                "baselineSampleSize": {
                  "value": 123
                },
                "comparedSampleSize": {
                  "value": 123
                }
              }
            ],
            "lastResult": {
              "resultTime": "<string>",
              "baselineEstimateAbs": {
                "value": 123
              },
              "comparedEstimateAbs": {
                "value": 123
              },
              "baselineEstimateRel": {
                "value": 123
              },
              "comparedEstimateRel": {
                "value": 123
              },
              "differenceEstimateAbs": {
                "estimate": {
                  "value": 123
                },
                "lower": {
                  "value": 123
                },
                "upper": {
                  "value": 123
                },
                "powered": {
                  "value": 123
                },
                "isSignificant": {
                  "value": true
                }
              },
              "differenceEstimateRel": {
                "estimate": {
                  "value": 123
                },
                "lower": {
                  "value": 123
                },
                "upper": {
                  "value": 123
                },
                "powered": {
                  "value": 123
                },
                "isSignificant": {
                  "value": true
                }
              },
              "varianceReductionRate": {
                "value": 123
              },
              "unadjustedEstimateBaseline": {
                "value": 123
              },
              "unadjustedEstimateCompared": {
                "value": 123
              },
              "baselineSampleSize": {
                "value": 123
              },
              "comparedSampleSize": {
                "value": 123
              }
            },
            "sampleSize": {
              "current": 123,
              "required": 123,
              "poweredEffectRel": {
                "value": 123
              },
              "poweredEffectAbs": {
                "value": 123
              }
            },
            "isSignificant": {
              "value": true
            },
            "comparisonId": "<string>",
            "usedDataType": "STATS_DATA_TYPE_UNSPECIFIED",
            "groupStats": [
              {
                "id": "<string>",
                "sampleSize": 123
              }
            ],
            "dimensions": [
              {}
            ],
            "segmentId": "<string>",
            "lastDeteriorationResult": {
              "resultTime": "<string>",
              "baselineEstimateAbs": {
                "value": 123
              },
              "comparedEstimateAbs": {
                "value": 123
              },
              "baselineEstimateRel": {
                "value": 123
              },
              "comparedEstimateRel": {
                "value": 123
              },
              "differenceEstimateAbs": {
                "estimate": {
                  "value": 123
                },
                "lower": {
                  "value": 123
                },
                "upper": {
                  "value": 123
                },
                "powered": {
                  "value": 123
                },
                "isSignificant": {
                  "value": true
                }
              },
              "differenceEstimateRel": {
                "estimate": {
                  "value": 123
                },
                "lower": {
                  "value": 123
                },
                "upper": {
                  "value": 123
                },
                "powered": {
                  "value": 123
                },
                "isSignificant": {
                  "value": true
                }
              },
              "varianceReductionRate": {
                "value": 123
              },
              "unadjustedEstimateBaseline": {
                "value": 123
              },
              "unadjustedEstimateCompared": {
                "value": 123
              },
              "baselineSampleSize": {
                "value": 123
              },
              "comparedSampleSize": {
                "value": 123
              }
            }
          }
        ],
        "annotations": [
          {
            "context": [
              {
                "key": "STATS_ANNOTATION_CONTEXT_UNSPECIFIED",
                "value": "<string>"
              }
            ],
            "info": "<string>",
            "warning": "<string>",
            "error": {
              "details": "<string>",
              "category": "STATS_ANNOTATION_ERROR_CATEGORY_UNSPECIFIED"
            }
          }
        ],
        "metricDetails": {
          "metricType": "METRIC_TYPE_UNSPECIFIED",
          "plannedEffectSize": {
            "value": "<string>"
          },
          "direction": "METRIC_DIRECTION_UNSPECIFIED",
          "hasRun": true
        },
        "srmResult": [
          {
            "status": {
              "status": "METRIC_RESULT_STATUS_UNSPECIFIED",
              "message": "<string>",
              "metricType": "METRIC_TYPE_UNSPECIFIED",
              "decisionPowered": {
                "value": true
              },
              "decisionIsSignificant": {
                "value": true
              },
              "validationIsSignificant": {
                "value": true
              }
            },
            "isSignificant": true,
            "dimensions": [
              {}
            ],
            "segmentId": "<string>",
            "result": [
              {
                "group": "<string>",
                "observed": 123,
                "expected": 123,
                "isSignificant": true
              }
            ]
          }
        ]
      }
    ],
    "treatments": [
      {
        "id": "<string>",
        "recommendation": {
          "status": {
            "quality": "QUALITY_STATUS_UNSPECIFIED",
            "tanking": "TANKING_STATUS_UNSPECIFIED",
            "guardrail": "GUARDRAIL_STATUS_UNSPECIFIED",
            "success": "SUCCESS_STATUS_UNSPECIFIED"
          },
          "shipping": "SHIPPING_RECOMMENDATION_UNSPECIFIED"
        }
      }
    ],
    "labels": [
      {}
    ]
  },
  "updateMask": {},
  "allowMissing": true
}
'
{
  "createTime": {},
  "updateTime": {},
  "creator": "<string>",
  "updater": "<string>",
  "name": "<string>",
  "exposureFilter": "<string>",
  "annotations": [
    {
      "context": [
        {
          "key": "STATS_ANNOTATION_CONTEXT_UNSPECIFIED",
          "value": "<string>"
        }
      ],
      "info": "<string>",
      "warning": "<string>",
      "error": {
        "details": "<string>",
        "category": "STATS_ANNOTATION_ERROR_CATEGORY_UNSPECIFIED"
      }
    }
  ],
  "results": [
    {
      "id": "<string>",
      "statsSettings": {
        "method": "METHOD_UNSPECIFIED",
        "adjustedAlpha": 123,
        "adjustedBeta": {
          "value": 123
        },
        "hasVarianceReduction": true
      },
      "result": [
        {
          "status": {
            "status": "METRIC_RESULT_STATUS_UNSPECIFIED",
            "message": "<string>",
            "metricType": "METRIC_TYPE_UNSPECIFIED",
            "decisionPowered": {
              "value": true
            },
            "decisionIsSignificant": {
              "value": true
            },
            "validationIsSignificant": {
              "value": true
            }
          },
          "groups": {
            "baseline": "<string>",
            "compared": "<string>"
          },
          "result": [
            {
              "resultTime": "<string>",
              "baselineEstimateAbs": {
                "value": 123
              },
              "comparedEstimateAbs": {
                "value": 123
              },
              "baselineEstimateRel": {
                "value": 123
              },
              "comparedEstimateRel": {
                "value": 123
              },
              "differenceEstimateAbs": {
                "estimate": {
                  "value": 123
                },
                "lower": {
                  "value": 123
                },
                "upper": {
                  "value": 123
                },
                "powered": {
                  "value": 123
                },
                "isSignificant": {
                  "value": true
                }
              },
              "differenceEstimateRel": {
                "estimate": {
                  "value": 123
                },
                "lower": {
                  "value": 123
                },
                "upper": {
                  "value": 123
                },
                "powered": {
                  "value": 123
                },
                "isSignificant": {
                  "value": true
                }
              },
              "varianceReductionRate": {
                "value": 123
              },
              "unadjustedEstimateBaseline": {
                "value": 123
              },
              "unadjustedEstimateCompared": {
                "value": 123
              },
              "baselineSampleSize": {
                "value": 123
              },
              "comparedSampleSize": {
                "value": 123
              }
            }
          ],
          "lastResult": {
            "resultTime": "<string>",
            "baselineEstimateAbs": {
              "value": 123
            },
            "comparedEstimateAbs": {
              "value": 123
            },
            "baselineEstimateRel": {
              "value": 123
            },
            "comparedEstimateRel": {
              "value": 123
            },
            "differenceEstimateAbs": {
              "estimate": {
                "value": 123
              },
              "lower": {
                "value": 123
              },
              "upper": {
                "value": 123
              },
              "powered": {
                "value": 123
              },
              "isSignificant": {
                "value": true
              }
            },
            "differenceEstimateRel": {
              "estimate": {
                "value": 123
              },
              "lower": {
                "value": 123
              },
              "upper": {
                "value": 123
              },
              "powered": {
                "value": 123
              },
              "isSignificant": {
                "value": true
              }
            },
            "varianceReductionRate": {
              "value": 123
            },
            "unadjustedEstimateBaseline": {
              "value": 123
            },
            "unadjustedEstimateCompared": {
              "value": 123
            },
            "baselineSampleSize": {
              "value": 123
            },
            "comparedSampleSize": {
              "value": 123
            }
          },
          "sampleSize": {
            "current": 123,
            "required": 123,
            "poweredEffectRel": {
              "value": 123
            },
            "poweredEffectAbs": {
              "value": 123
            }
          },
          "isSignificant": {
            "value": true
          },
          "comparisonId": "<string>",
          "usedDataType": "STATS_DATA_TYPE_UNSPECIFIED",
          "groupStats": [
            {
              "id": "<string>",
              "sampleSize": 123
            }
          ],
          "dimensions": [
            {}
          ],
          "segmentId": "<string>",
          "lastDeteriorationResult": {
            "resultTime": "<string>",
            "baselineEstimateAbs": {
              "value": 123
            },
            "comparedEstimateAbs": {
              "value": 123
            },
            "baselineEstimateRel": {
              "value": 123
            },
            "comparedEstimateRel": {
              "value": 123
            },
            "differenceEstimateAbs": {
              "estimate": {
                "value": 123
              },
              "lower": {
                "value": 123
              },
              "upper": {
                "value": 123
              },
              "powered": {
                "value": 123
              },
              "isSignificant": {
                "value": true
              }
            },
            "differenceEstimateRel": {
              "estimate": {
                "value": 123
              },
              "lower": {
                "value": 123
              },
              "upper": {
                "value": 123
              },
              "powered": {
                "value": 123
              },
              "isSignificant": {
                "value": true
              }
            },
            "varianceReductionRate": {
              "value": 123
            },
            "unadjustedEstimateBaseline": {
              "value": 123
            },
            "unadjustedEstimateCompared": {
              "value": 123
            },
            "baselineSampleSize": {
              "value": 123
            },
            "comparedSampleSize": {
              "value": 123
            }
          }
        }
      ],
      "annotations": [
        {
          "context": [
            {
              "key": "STATS_ANNOTATION_CONTEXT_UNSPECIFIED",
              "value": "<string>"
            }
          ],
          "info": "<string>",
          "warning": "<string>",
          "error": {
            "details": "<string>",
            "category": "STATS_ANNOTATION_ERROR_CATEGORY_UNSPECIFIED"
          }
        }
      ],
      "metricDetails": {
        "metricType": "METRIC_TYPE_UNSPECIFIED",
        "plannedEffectSize": {
          "value": "<string>"
        },
        "direction": "METRIC_DIRECTION_UNSPECIFIED",
        "hasRun": true
      },
      "srmResult": [
        {
          "status": {
            "status": "METRIC_RESULT_STATUS_UNSPECIFIED",
            "message": "<string>",
            "metricType": "METRIC_TYPE_UNSPECIFIED",
            "decisionPowered": {
              "value": true
            },
            "decisionIsSignificant": {
              "value": true
            },
            "validationIsSignificant": {
              "value": true
            }
          },
          "isSignificant": true,
          "dimensions": [
            {}
          ],
          "segmentId": "<string>",
          "result": [
            {
              "group": "<string>",
              "observed": 123,
              "expected": 123,
              "isSignificant": true
            }
          ]
        }
      ]
    }
  ],
  "treatments": [
    {
      "id": "<string>",
      "recommendation": {
        "status": {
          "quality": "QUALITY_STATUS_UNSPECIFIED",
          "tanking": "TANKING_STATUS_UNSPECIFIED",
          "guardrail": "GUARDRAIL_STATUS_UNSPECIFIED",
          "success": "SUCCESS_STATUS_UNSPECIFIED"
        },
        "shipping": "SHIPPING_RECOMMENDATION_UNSPECIFIED"
      }
    }
  ],
  "labels": [
    {}
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

workflow
string
required
instance
string
required
analysisResult
string
required

Query Parameters

updateMask
object

The update mask applies to the resource. For the FieldMask definition, see https://developers.google.com/protocol-buffers/docs/reference/google.protobuf#fieldmask

allowMissing
boolean

If set to true, and the analysis result is not found, a new analysis result will be created. In this situation, update_mask is ignored.

Body

application/json
analysisResult
AnalysisResult · object
required

AnalysisResult: The result of a statistical analysis for an experiment instance.

updateMask
object

The update mask applies to the resource. For the FieldMask definition, see https://developers.google.com/protocol-buffers/docs/reference/google.protobuf#fieldmask

allowMissing
boolean

If set to true, and the analysis result is not found, a new analysis result will be created. In this situation, update_mask is ignored.

Response

200 - application/json

Returns a AnalysisResult.

The result of a statistical analysis for an experiment instance.

createTime
object
required

The time the analysis result was first created.

updateTime
object
required

Time when the analysis result was last updated.

creator
string
required

Reference to the identity that created this analysis result.

updater
string
required

Reference to the identity that last updated this analysis result.

name
string

Resource name of this analysis result.

exposureFilter
string

Name of the exposure filter applied to this analysis result.

annotations
object[]

Annotations surfaced during the analysis, such as warnings, errors, or informational messages.

results
object[]

Statistical results for each hypothesis tested in this analysis.

treatments
object[]

Information about each treatment group, including shipping recommendations.

labels
object[]

Custom key value pairs for this analysis result.